package com.bjsxt.servlet;

import com.bjsxt.pojo.Users;
import com.fasterxml.jackson.databind.ObjectMapper;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * 通过JSON格式响应单个对象
 */
@WebServlet("/single.do")
public class SingleObjectServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        //创建Users对象
        Users users=new Users();
        users.setUserid(1);
        users.setUsername("cj");
        //使用jackson的API将Users对象转化为JSON格式
        ObjectMapper objectMapper=new ObjectMapper();
        String string = objectMapper.writeValueAsString(users);
        System.out.println(string);

        //设置响应类型aplication/json
        resp.setContentType("application/json");


        PrintWriter pw=resp.getWriter();
        pw.println(string);
        pw.flush();
        pw.close();

    }
}
